Summary:	A pluggable command-line tool
Summary(pl.UTF-8):	Narzędzie linii poleceń z obsługą wtyczek
Name:		python-PasteScript
Version:	1.7.5
Release:	2
License:	X11/MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/P/PasteScript/PasteScript-%{version}.tar.gz
# Source0-md5:	4c72d78dcb6bb993f30536842c16af4d
URL:		http://pythonpaste.org/script/
BuildRequires:	python-Paste >= 1.3
BuildRequires:	python-PasteDeploy >= 1.3.3
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.a9.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Patch0:		%{name}-template_dir_assemble.patch
Requires:	python-Beaker >= 0.7.5
Requires:	python-FormEncode >= 0.7.0
Requires:	python-Mako >= 0.1.8
Requires:	python-Routes >= 1.7
Requires:	python-cheetah
Requires:	python-decorator >= 2.1.0
Requires:	python-nose >= 0.9.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a pluggable command-line tool. It includes some built-in
features:
- Create file layouts for packages. For instance:
   $ paste create  --template=basic_package MyPackage
  will create a setuptools-ready file layout.
- Serving up web applications, with configuration based on
  paste.deploy.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzie linii poleceń z obsługą wtyczek. Niektóre
możliwości ma wbudowane:
- tworzenie plików dla pakietów, na przykład:
   $ paste create  --template=basic_package MyPackage
  utworzy plik dla setuptools.
- możliwość użycia w aplikacjach WWW z konfiguracją opartą na
  paste.deploy.

%prep
%setup -q -n PasteScript-%{version}
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -and -not -path *templates* | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/
%attr(755,root,root) %{_bindir}/paster
%{py_sitescriptdir}/paste/script
%{py_sitescriptdir}/Paste*
%changelog
* Tue Jul 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PasteScript.git;a=log;h=master

* Tue Jul 23 2013 Jan Rękorajski <baggins@pld-linux.org> 504f2c7
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> f2b981d
- up to 1.7.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> fa176fb
- BR: rpm-pythonprov
- some adapterization

* Fri Jul 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 12bdf6a
- rel 1

* Wed Apr 01 2009 beorn <beorn@pld-linux.org> 4925cd9
- Missing BRs

* Sun Mar 29 2009 beorn <beorn@pld-linux.org> 221a469
- Added template_dir() patch. Tested only with Pylons 0.9.7! Needs verification in other projects

* Sun Mar 29 2009 beorn <beorn@pld-linux.org> 97874a2
- Patch for paste.script.templates.template_dir()

* Sun Mar 29 2009 beorn <beorn@pld-linux.org> 08484b7
- Up to 1.7.3

* Thu Feb 05 2009 beorn <beorn@pld-linux.org> 682a0ad
- Group name fix

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 8714dbb
- Missing BRs

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> ac98f8a
- Up to 1.3.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 99e0fa2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 564c60d
- converted to UTF-8

* Sun Jan 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 51aa099
- up to 1.1

* Fri Nov 17 2006 radzio <radzio@pld-linux.org> 653ad76
- up to 1.0

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 7783fa9
- unified

* Sun Apr 16 2006 radzio <radzio@pld-linux.org> bc9ab0e
- better [B]R

* Sun Apr 16 2006 radzio <radzio@pld-linux.org> 4c8faba
- update to 0.5[.1]

* Mon Jan 30 2006 Jakub Bogusz <qboosh@pld-linux.org> f8e24bb
- pl

* Sat Jan 28 2006 radzio <radzio@pld-linux.org> 98c7f29
- fix URLs

